<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.replicated-cache.component.backups.backup">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enabled,failure-policy,strategy,timeout,after-failures,min-wait"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,replicated-cache,component,backup"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.replicated-cache.component.backups"/>
        <ref feature="subsystem.infinispan.cache-container.replicated-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="component" feature-id="true" default="backups"/>
        <param name="backup" feature-id="true"/>
        <param name="min-wait" nillable="true"/>
        <param name="failure-policy" nillable="true"/>
        <param name="after-failures" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="replicated-cache" feature-id="true"/>
        <param name="strategy" nillable="true"/>
        <param name="enabled" nillable="true"/>
        <param name="timeout" nillable="true"/>
    </params>
</feature-spec>